Cycles: upgrade to CUDA 10.1 as the one officially supported version.
[blender.git] / intern / cycles / CMakeLists.txt
index 6fe4546ae8c860d0116ad56f547f47c7a2aeeab8..d4a613a78c77edc5208555b103e79b4eabc499cf 100644 (file)
@@ -301,6 +301,8 @@ if(WITH_CYCLES_CUDA_BINARIES AND (NOT WITH_CYCLES_CUBIN_COMPILER))
                        set(MAX_MSVC 1911)
                elseif(${CUDA_VERSION} EQUAL "10.0")
                        set(MAX_MSVC 1999)
+               elseif(${CUDA_VERSION} EQUAL "10.1")
+                       set(MAX_MSVC 1999)
                endif()
                if(NOT MSVC_VERSION LESS ${MAX_MSVC} OR CMAKE_C_COMPILER_ID MATCHES "Clang")
                        message(STATUS "nvcc not supported for this compiler version, using cycles_cubin_cc instead.")